Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query
Interface ModelQuery

All Known Subinterfaces:
  JavaModelQuery, JXPathModelQuery, OCLModelQuery

All Known Implementing Classes:
  JavaModelQueryImpl, JXPathModelQueryImpl, ModelQueryImpl, OCLModelQueryImpl

    public interface ModelQuery

A representation of the model object 'Model Query'. ModelQuery is an abstract class representing a query.

The following features are supported:

- `Name`
- `Description`
- `Return Type`
- `Scope`
- `Model Query Set`
- `Parameters`
- `Is External Context Dependent`
- `Upper Bound`
- `Lower Bound`

See Also:
  `QueryPackage.getModelQuery()`

Method Summary
`java.lang.String` | `getDescription()` Returns the value of the 'Description' attribute.
`int` | `getLowerBound()` Returns the value of the 'Lower Bound' attribute.
`ModelQuerySet` | `getModelQuerySet()` Returns the value of the 'Model Query Set' container reference.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`` | `getParameters()` Returns the value of the 'Parameters' containment reference list.
`EClassifier` | `getReturnType()` Returns the value of the 'Return Type' reference.
`` | `getScope()` Returns the value of the 'Scope' reference list.
`int` | `getUpperBound()` Returns the value of the 'Upper Bound' attribute.
`boolean` | `isIsExternalContextDependent()` Returns the value of the 'Is External Context Dependent' attribute.
`void` | `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` | `setIsExternalContextDependent(boolean value)` Sets the value of the '`Is External Context Dependent`' attribute.
`void` | `setLowerBound(int value)` Sets the value of the '`Lower Bound`' attribute.
`void` | `setModelQuerySet(ModelQuerySet value)` Sets the value of the '`Model Query Set`' container reference.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setReturnType(EClassifier value)` Sets the value of the '`Return Type`' reference.
`void` | `setUpperBound(int value)` Sets the value of the '`Upper Bound`' attribute.

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  ModelQuery::name is the query name. In each query set the query names must be unique.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `QueryPackage.getModelQuery_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `QueryPackage.getModelQuery_Description()`

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

### getReturnType

    EClassifier getReturnType()

  Returns the value of the 'Return Type' reference.

  If the meaning of the 'Return Type' reference isn't clear, there really should be more of a description here...

  ModelQuery::returnType is an ecore::DataType representing the query return type.

  Returns:
    the value of the 'Return Type' reference.
  See Also:
    `setReturnType(EClassifier)`, `QueryPackage.getModelQuery_ReturnType()`

### setReturnType

    void setReturnType(EClassifier value)

  Sets the value of the '`Return Type`' reference.

  Parameters:
    `value` - the new value of the 'Return Type' reference.
  See Also:
    `getReturnType()`

### getScope

     getScope()

  Returns the value of the 'Scope' reference list. The list contents are of type `org.eclipse.emf.ecore.EClass`.

  If the meaning of the 'Scope' reference list isn't clear, there really should be more of a description here...

  ModelQuery::scope is the set of type on which the query is applicable. Those types are represented by ecore::DataType instances

  Returns:
    the value of the 'Scope' reference list.
  See Also:
    `QueryPackage.getModelQuery_Scope()`

### getModelQuerySet

    ModelQuerySet getModelQuerySet()

  Returns the value of the 'Model Query Set' container reference. It is bidirectional and its opposite is '`Queries`'.

  If the meaning of the 'Model Query Set' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model Query Set' container reference.
  See Also:
    `setModelQuerySet(ModelQuerySet)`, `QueryPackage.getModelQuery_ModelQuerySet()`, `ModelQuerySet.getQueries()`

### setModelQuerySet

    void setModelQuerySet(ModelQuerySet value)

  Sets the value of the '`Model Query Set`' container reference.

  Parameters:
    `value` - the new value of the 'Model Query Set' container reference.
  See Also:
    `getModelQuerySet()`

### getParameters

     getParameters()

  Returns the value of the 'Parameters' containment reference list. The list contents are of type `ModelQueryParameter`.

  If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

  ModelQuery::parameters a set of ModelQueryParameter instance describing the query parameters.

  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `QueryPackage.getModelQuery_Parameters()`

### isIsExternalContextDependent

    boolean isIsExternalContextDependent()

  Returns the value of the 'Is External Context Dependent' attribute. The default value is `"false"`.

  If the meaning of the 'Is External Context Dependent' attribute isn't clear, there really should be more of a description here...

  ModelQuery::isExternalContextDependent must be true if two evaluations of the same query with the same context and parameters can return different results.

  Returns:
    the value of the 'Is External Context Dependent' attribute.
  See Also:
    `setIsExternalContextDependent(boolean)`, `QueryPackage.getModelQuery_IsExternalContextDependent()`

### setIsExternalContextDependent

    void setIsExternalContextDependent(boolean value)

  Sets the value of the '`Is External Context Dependent`' attribute.

  Parameters:
    `value` - the new value of the 'Is External Context Dependent' attribute.
  See Also:
    `isIsExternalContextDependent()`

### getUpperBound

    int getUpperBound()

  Returns the value of the 'Upper Bound' attribute. The default value is `"1"`.

  If the meaning of the 'Upper Bound' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Upper Bound' attribute.
  See Also:
    `setUpperBound(int)`, `QueryPackage.getModelQuery_UpperBound()`

### setUpperBound

    void setUpperBound(int value)

  Sets the value of the '`Upper Bound`' attribute.

  Parameters:
    `value` - the new value of the 'Upper Bound' attribute.
  See Also:
    `getUpperBound()`

### getLowerBound

    int getLowerBound()

  Returns the value of the 'Lower Bound' attribute. The default value is `"0"`.

  If the meaning of the 'Lower Bound' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lower Bound' attribute.
  See Also:
    `setLowerBound(int)`, `QueryPackage.getModelQuery_LowerBound()`

### setLowerBound

    void setLowerBound(int value)

  Sets the value of the '`Lower Bound`' attribute.

  Parameters:
    `value` - the new value of the 'Lower Bound' attribute.
  See Also:
    `getLowerBound()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD